#ifndef CTPLOCK_H
#define CTPLOCK_H

// 
// CriticalSection is a locking class whose 
// purpose is to provide mutual exclusion
// when calling the Name Space binding handle
//
class CriticalSection {
	private:
		RTL_CRITICAL_SECTION critical;
	public:
            CriticalSection()  { InitializeCriticalSection(&critical); }
	   ~CriticalSection()  { DeleteCriticalSection(&critical); }
            void operator ++ (){ EnterCriticalSection(&critical);  }
	    void operator -- (){ LeaveCriticalSection(&critical);  }
};

#endif // CTPLOCK_H
