
#ifndef CTPWBUF_H
#define CTPWBUF_H

#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>

#if !defined(_MAC) && !defined(_WINDOWS) && !defined(_NTWIN) && !defined(_NEXT)
#  include <unistd.h>
#else
#  if defined(_WINDOWS) || defined(_NTWIN)
#    include <io.h>
#  endif                   // NT or WIN
#endif                     // not NT WIN MAC or NEXT

#include "ctpdefs.h"

const int CTP_filebuf_size = 0x1000;


class CTPwinbuf : public streambuf
{

  public:
  // Constructors
    CTPwinbuf();

    virtual ~CTPwinbuf();

  // Synchronize the file with the filebuf
    virtual int sync();

  protected:
    virtual int underflow() { return 0; };
    virtual int overflow(int = EOF);

  private:
    char *outputBuffer;

};


#endif // CTPWBUF_H
